# aflax.js Documentation

## Summary

AFLAX(tm) is a JavaScript library for the Macromedia Flash(tm) Platform

AFLAX is a trademark of Paul Colton. All Rights Reserved.

The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.

The Original Code is The AFLAX Library.

The Initial Developer of the Original Code is Paul Colton. Portions created by the Initial Developer are Copyright (C) 2005 the Initial Developer. All Rights Reserved.

Contributor(s):

- Rui Lopes <rgl at ruilopes.com>

(End of contributor(s) list.)

Paul Colton can be contacted at paul at aflax dot org or write to Paul Colton, c/o AFLAX, 14677 Via Bettona, # # 110-111, San Diego, CA 92127

For more information, updates and demos, visit http://www.aflax.org

## Global Functions

- AFLAX
- AFLAX.FlashObject
- AFLAX.MovieClip
- AFLAX.CameraClip
- AFLAX.VideoClip
- AFLAX.TextField

## Global Variables

- com
- JSON

# AFLAX

This is the main AFLAX class.
Constructors | Functions

Constructor Summary
AFLAX Constructor

Prototype Functions
getHTML, addFlashToElement, insertFlash, getRoot, getStage, getFlash, callFunction, storeValue, getStoredValue, callStaticFunction, getStaticProperty, attachEventListener, callBulkFunctions, updateAfterEvent, createFlashArray

Functions
hideFlashSettings, showFlashSettings, extend, extractArgs, FlashObject, MovieClip, CameraClip, VideoClip, TextField, windowError, trace, Socket

## Constructor Detail

#### AFLAX() :

This is the main AFLAX class.

## Function Detail

#### AFLAX.prototype.getHTML() : Unknown

#### AFLAX.prototype.addFlashToElement() : Unknown

This method create the HTMLElement required to embed the Flash object into your page. This method replaces the child nodes of a given node with the flash HTMLElement.

#### AFLAX.prototype.insertFlash() : Unknown

This method inserts the HTML required to embed the Flash object into your page.

#### AFLAX.prototype.getRoot() :

Returns reference to the Flash _root object.

#### AFLAX.prototype.getStage() :

Returns reference to the Flash Stage object.

#### AFLAX.prototype.getFlash() :

Returns reference to the embedded Flash object.

#### AFLAX.prototype.callFunction() :

Call a Flash function directly.

#### AFLAX.prototype.storeValue() :

Store a value into the Flash persistent data store.

#### AFLAX.prototype.getStoredValue() :

Gets the value from the Flash persistent data store

#### AFLAX.prototype.callStaticFunction() :

Call a static Flash function (i.e. Mouse.hide()).

#### AFLAX.prototype.getStaticProperty() :

Get the value of a static property from Flash

#### AFLAX.prototype.attachEventListener() : Unknown

Attach and event listener to an object

#### AFLAX.prototype.callBulkFunctions() : Unknown

Allow for the calling of many commands at once.

#### AFLAX.prototype.updateAfterEvent() : Unknown

Calls the Flash UpdateAfterEvent function, which refreshes the screen for smoother performance.

#### AFLAX.prototype.createFlashArray() :

Creates an Array that lives in the Flash domain

#### AFLAX.hideFlashSettings() : Unknown

Hides the Flash settings dialog @static

#### AFLAX.showFlashSettings() : Unknown

Show the Flash settings dialog @static

#### AFLAX.extend() :

Extends an object to inherit from the passed base class. @static

#### AFLAX.extend.pseudo() : Unknown

No description provided.

#### AFLAX.extractArgs() :

Extracts a subset of an Array from a passed in Array. @static

# AFLAX.FlashObject

Construct a new FlashObject.
Constructors | Functions

Constructor Summary
FlashObject Constructor

Prototype Functions
callFunction, bind, exposeProperty, exposeFunction, mapFunction

## Constructor Detail

#### FlashObject()

Construct a new FlashObject.

## Function Detail

#### AFLAX.FlashObject.prototype.callFunction() :

Calls an arbitrary function on a FlashObject.

#### AFLAX.FlashObject.prototype.bind() : Unknown

Takes a list of Flash object properties and functions and creates JavaScript wrappers on the calling object.

#### AFLAX.FlashObject.prototype.exposeProperty() : Unknown

Exposes a Flash property to JavaScript. This method exposes both a setter and a getter for the named property.

#### AFLAX.FlashObject.prototype.exposeProperty.methodSuffix() : Unknown

No description provided.

#### AFLAX.FlashObject.prototype.exposeProperty.methodSuffix() : Unknown

No description provided.

#### AFLAX.FlashObject.prototype.exposeFunction() : Unknown

Exposes a Flash function to JavaScript.

#### AFLAX.FlashObject.prototype.exposeFunction.functionName() : Unknown

No description provided.

#### AFLAX.FlashObject.prototype.mapFunction() : Unknown

Maps custom AFLAX Flash functions to JavaScript.

#### AFLAX.FlashObject.prototype.mapFunction.functionName() : Unknown

No description provided.

# AFLAX.MovieClip

@extend AFLAX.FlashObject
Constructors | Functions

Constructor Summary
MovieClip Constructor

Prototype Functions
drawCircle, clone

## Constructor Detail

#### MovieClip()

@extend AFLAX.FlashObject

## Function Detail

#### AFLAX.MovieClip.prototype.drawCircle() : Unknown

Draw a circle

#### AFLAX.MovieClip.prototype.clone() :

Clones the movieclip

# AFLAX.CameraClip

The CameraClip class
Constructors | Functions

Constructor Summary
CameraClip Constructor

Functions
GetCameras

## Constructor Detail

#### CameraClip()

The CameraClip class

## Function Detail

#### AFLAX.CameraClip.GetCameras() :

Returns the list of cameras available.

# AFLAX.VideoClip

@extend AFLAX.MovieClip
Constructors | Functions

Constructor Summary
VideoClip Constructor

Functions
GetStatusValue

## Constructor Detail

#### VideoClip()

@extend AFLAX.MovieClip

## Function Detail

#### AFLAX.VideoClip.GetStatusValue() :

Given a string that was returned by either the Status event or Cue event, return the value for a given name. @static

# AFLAX.TextField

@extend AFLAX.MovieClip
Constructors

Constructor Summary
TextField Constructor

## Constructor Detail

#### TextField() :

@extend AFLAX.MovieClip

#### AFLAX.windowError() : Unknown

#### AFLAX.trace() : Unknown

Tracing function. Output is generated with AFLAX.trace is set to true.

#### AFLAX.Socket() : Unknown

Socket class

# com

Functions

Functions
deconcept

## Function Detail

#### com.deconcept() : Unknown

No description provided.

#### com.deconcept.FlashObjectUtil() : Unknown

No description provided.

#### com.deconcept.FlashObjectUtil.getPlayerVersion() : Unknown

#### com.deconcept.PlayerVersion() : Unknown

#### com.deconcept.PlayerVersion.prototype.versionIsValid() : Unknown

# JSON

Functions

Functions
stringify, parse

## Function Detail

#### JSON.stringify() : Unknown

No description provided.

#### JSON.parse() : Unknown

No description provided.

#### JSON.parse.error() : Unknown

No description provided.

#### JSON.parse.next() : Unknown

No description provided.

#### JSON.parse.white() : Unknown

No description provided.

#### JSON.parse.str() : Unknown

No description provided.

#### JSON.parse.arr() : Unknown

No description provided.

#### JSON.parse.obj() : Unknown

No description provided.

#### JSON.parse.num() : Unknown

No description provided.

#### JSON.parse.word() : Unknown

No description provided.

#### JSON.parse.val() : Unknown

No description provided.